FactoryServiceLocator
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.dir.master.stubs.service
Class FactoryServiceLocator

    java.lang.Object
      org.apache.axis.client.Service
          org.gcube.dir.master.stubs.service.FactoryServiceLocator

All Implemented Interfaces:
  java.io.Serializable, javax.naming.Referenceable, javax.xml.rpc.Service, FactoryService

Direct Known Subclasses:
  FactoryServiceAddressingLocator

    public class FactoryServiceLocator

extends org.apache.axis.client.Service
implements FactoryService

See Also:
  Serialized Form

Constructor Summary
`FactoryServiceLocator()`
`FactoryServiceLocator(org.apache.axis.EngineConfiguration config)`
`FactoryServiceLocator(java.lang.String wsdlLoc, javax.xml.namespace.QName sName)`

Method Summary
`FactoryPortType` | `getFactoryPortTypePort()`
`FactoryPortType` | `getFactoryPortTypePort(java.net.URL portAddress)`
`java.lang.String` | `getFactoryPortTypePortAddress()`
`java.lang.String` | `getFactoryPortTypePortWSDDServiceName()`
`java.rmi.Remote` | `getPort(java.lang.Class serviceEndpointInterface)` For the given interface, get the stub implementation.
`java.rmi.Remote` | `getPort(javax.xml.namespace.QName portName, java.lang.Class serviceEndpointInterface)` For the given interface, get the stub implementation.
`java.util.Iterator` | `getPorts()`
`javax.xml.namespace.QName` | `getServiceName()`
`void` | `setEndpointAddress(javax.xml.namespace.QName portName, java.lang.String address)` Set the endpoint address for the specified port name.
`void` | `setEndpointAddress(java.lang.String portName, java.lang.String address)` Set the endpoint address for the specified port name.
`void` | `setFactoryPortTypePortEndpointAddress(java.lang.String address)`
`void` | `setFactoryPortTypePortWSDDServiceName(java.lang.String name)`

Methods inherited from class org.apache.axis.client.Service
`clearCall, createCall, createCall, createCall, createCall, getCacheWSDL, getCall, getCalls, getEngine, getHandlerRegistry, getMaintainSession, getPort, getReference, getTypeMappingRegistry, getWSDLDocumentLocation, getWSDLParser, setCacheWSDL, setEngine, setEngineConfiguration, setMaintainSession, setTypeMappingRegistry`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.rpc.Service
`createCall, createCall, createCall, createCall, getCalls, getHandlerRegistry, getTypeMappingRegistry, getWSDLDocumentLocation`

Constructor Detail

### FactoryServiceLocator

    public FactoryServiceLocator()

### FactoryServiceLocator

    public FactoryServiceLocator(org.apache.axis.EngineConfiguration config)

### FactoryServiceLocator

    public FactoryServiceLocator(java.lang.String wsdlLoc,
                                 javax.xml.namespace.QName sName)
                          throws javax.xml.rpc.ServiceException

Throws:
  `javax.xml.rpc.ServiceException`

Method Detail

### getFactoryPortTypePortAddress

    public java.lang.String getFactoryPortTypePortAddress()

  Specified by:
    `getFactoryPortTypePortAddress` in interface `FactoryService`

### getFactoryPortTypePortWSDDServiceName

    public java.lang.String getFactoryPortTypePortWSDDServiceName()

### setFactoryPortTypePortWSDDServiceName

    public void setFactoryPortTypePortWSDDServiceName(java.lang.String name)

### getFactoryPortTypePort

    public FactoryPortType getFactoryPortTypePort()
                                           throws javax.xml.rpc.ServiceException

  Specified by:
    `getFactoryPortTypePort` in interface `FactoryService`
  Throws:
    `javax.xml.rpc.ServiceException`

### getFactoryPortTypePort

    public FactoryPortType getFactoryPortTypePort(java.net.URL portAddress)
                                           throws javax.xml.rpc.ServiceException

  Specified by:
    `getFactoryPortTypePort` in interface `FactoryService`
  Throws:
    `javax.xml.rpc.ServiceException`

### setFactoryPortTypePortEndpointAddress

    public void setFactoryPortTypePortEndpointAddress(java.lang.String address)

### getPort

    public java.rmi.Remote getPort(java.lang.Class serviceEndpointInterface)
                            throws javax.xml.rpc.ServiceException

  For the given interface, get the stub implementation. If this service has no port for the given interface, then ServiceException is thrown.

  Specified by:
    `getPort` in interface `javax.xml.rpc.Service`
  Overrides:
    `getPort` in class `org.apache.axis.client.Service`
  Throws:
    `javax.xml.rpc.ServiceException`

### getPort

    public java.rmi.Remote getPort(javax.xml.namespace.QName portName,
                                   java.lang.Class serviceEndpointInterface)
                            throws javax.xml.rpc.ServiceException

  For the given interface, get the stub implementation. If this service has no port for the given interface, then ServiceException is thrown.

  Specified by:
    `getPort` in interface `javax.xml.rpc.Service`
  Overrides:
    `getPort` in class `org.apache.axis.client.Service`
  Throws:
    `javax.xml.rpc.ServiceException`

### getServiceName

    public javax.xml.namespace.QName getServiceName()

  Specified by:
    `getServiceName` in interface `javax.xml.rpc.Service`
  Overrides:
    `getServiceName` in class `org.apache.axis.client.Service`

### getPorts

    public java.util.Iterator getPorts()

  Specified by:
    `getPorts` in interface `javax.xml.rpc.Service`
  Overrides:
    `getPorts` in class `org.apache.axis.client.Service`

### setEndpointAddress

    public void setEndpointAddress(java.lang.String portName,
                                   java.lang.String address)
                            throws javax.xml.rpc.ServiceException

  Set the endpoint address for the specified port name.

  Throws:
    `javax.xml.rpc.ServiceException`

### setEndpointAddress

    public void setEndpointAddress(javax.xml.namespace.QName portName,
                                   java.lang.String address)
                            throws javax.xml.rpc.ServiceException

  Set the endpoint address for the specified port name.

  Throws:
    `javax.xml.rpc.ServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD